<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");

class texto extends elemento{
		
	function texto() {
        
        $c= new categoria;

    }

	function guardar($id){
		////print "ID" .$id. "IDCAT" . $this->idCat;
		$db= new dbElemento;
		if ($linha=$db->getLinhaCampo($this->tipo, "idCat", $this->idCat))
			parent::guardarEdit($linha['id']);
		else
			parent::guardarNovo();
		$this->editar($linha['id']);
	}    

	function editar($id=""){

        $db= new dbElemento;

		if ($row=$db->getLinhaCampo($this->tipo, "idCat", $this->idCat))
			$id=$row['id'];

		$f= new form($id, @$db->getLinha($this->tipo, $id), $this->req);
		$f->toolbars();
		$f->titulo();
		$f->campoValor("id", $id);
		//$f->campoTexto("Título","titulo" );
		$f->campoHTML("Texto", "texto");
		//$f->campoSimNao("Activo", "activo", 0);
		$f->mostra();

	}
	
	function listar($id=""){
        $this->editar($id);
	}
}
?>
